curl --request POST \
--url https://api.backside.app/api/v1/oauth/google/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"return_to": "<string>"
}
'{
"authorize_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"state": "<string>"
}Returns a Google consent URL plus the state token, and seeds the state
entry in Dragonfly. The caller (typically the dashboard) redirects the
user’s browser to authorize_url.
curl --request POST \
--url https://api.backside.app/api/v1/oauth/google/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"return_to": "<string>"
}
'{
"authorize_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"state": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?